plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
}


ext {
//    bintrayRepo = 'maven'
//    bintrayName = 'android-pdf-viewer'

//    publishedGroupId = 'com.github.barteksc'
//    libraryName = 'AndroidPdfViewer'
//    artifact = 'android-pdf-viewer'

//    libraryDescription = 'Android view for displaying PDFs rendered with PdfiumAndroid'

//    siteUrl = 'https://github.com/barteksc/AndroidPdfViewer'
//    gitUrl = 'https://github.com/barteksc/AndroidPdfViewer.git'

//    libraryVersion = '2.8.1'

//    developerId = 'barteksc'
//    developerName = 'Bartosz Schiller'
//    developerEmail = 'barteksch@boo.pl'

//    licenseName = 'The Apache Software License, Version 2.0'
//    licenseUrl = 'http://www.apache.org/licenses/LICENSE-2.0.txt'
//    allLicenses = ["Apache-2.0"]
}

android {
    compileSdk = 34
    namespace = "com.github.barteksc.pdfviewer"
    defaultConfig {
        minSdkVersion 24
        targetSdkVersion 34
        versionCode 1
        versionName "2.8.1"
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }

}

dependencies {
//    api 'com.github.barteksc:pdfium-android:1.7.1'
    api project(':PdfiumAndroid')
    implementation("androidx.appcompat:appcompat:1.7.0")
    implementation "androidx.core:core-ktx:$kotlin_version"
}

//apply from: 'https://raw.githubusercontent.com/nuuneoi/JCenter/master/installv1.gradle'
//apply from: 'https://raw.githubusercontent.com/nuuneoi/JCenter/master/bintrayv1.gradle'